mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Runtime.InteropServices.ComVisible(true)

A is created and pushed on the call stack for every function call made during the execution of a thread. The stack frame always includes information, and optionally includes file name, line number, and column number information.

information will be most informative with Debug build configurations. By default, Debug builds include debug symbols, while Release builds do not. The debug symbols contain most of the file, method name, line number, and column information used in constructing objects.

Provides information about a , which represents a function call on the call stack for the current thread.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class, optionally capturing source information.

  true to capture the file name, line number, and column number of the stack frame; otherwise, false.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class that corresponds to a frame above the current stack frame.

  The number of frames up the stack to skip.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class that corresponds to a frame above the current stack frame, optionally capturing source information.

  The number of frames up the stack to skip.
  true to capture the file name, line number, and column number of the stack frame; otherwise, false.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  Use this constructor when you do not want to use the debugger's line mapping logic.

  Initializes a new instance of the class that contains only the given file name and line number.

  The file name.
  The line number in the specified file.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  Use this constructor when you do not want to use the debugger's line mapping logic.

  Initializes a new instance of the class that contains only the given file name, line number, and column number.

  The file name.
  The line number in the specified file.
  The column number in the specified file.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 Only available if the debugging informations are available.

  Gets the column number in the file that contains the code that is executing. This information is typically extracted from the debugging symbols for the executable.

  The file column number, or 0 (zero) if the file column number cannot be determined.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 Only available if the debugging informations are available.

  Gets the line number in the file that contains the code that is executing. This information is typically extracted from the debugging symbols for the executable.

  The file line number, or 0 (zero) if the file line number cannot be determined.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String Only available if the debugging informations are available.

  Gets the file name that contains the code that is executing. This information is typically extracted from the debugging symbols for the executable.

  The file name, or null if the file name cannot be determined.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added

  Gets the offset from the start of the Microsoft intermediate language (MSIL) code for the method that is executing. This offset might be an approximation depending on whether or not the just-in-time (JIT) compiler is generating debugging code. The generation of this debugging information is controlled by the .

  The offset from the start of the MSIL code for the method that is executing.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodBase

  The method that is currently executing may be inherited from a base class, although it is called in a derived class. In this case, the property of the object that is returned by identifies the base class, not the derived class.

  Gets the method in which the frame is executing.

  The method in which the frame is executing.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added

  Gets the offset from the start of the native just-in-time (JIT)-compiled code for the method that is being executed. The generation of this debugging information is controlled by the class.

  The offset from the start of the JIT-compiled code for the method that is being executed.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 -1

  The value of this constant is -1.

  Defines the value that is returned from the or method when the native or Microsoft intermediate language (MSIL) offset is unknown. This field is constant.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added.

  Builds a readable representation of the stack trace.

  A readable representation of the stack trace.